<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstWorkflowPosition Method (IEdmWorkflowMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflowMgr6 Interface : GetFirstWorkflowPosition Method (IEdmWorkflowMgr6)

Visual Basic
C#
C++/CLI
Starts an enumeration of all the workflows in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstWorkflowPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstWorkflowPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstWorkflowPosition();

#### Return Value

IEdmPos5; position of the first workflow in the enumeration

# Example

See the IEdmWorkflowMgr6 examples.

# Remarks

After calling this method, pass the returned position of the first workflow to IEdmWorkflowMgr6::GetNextWorkflow to get the first workflow in this list. Then call IEdmWorkflowMgr6::GetNextWorkflow repeatedly to get the rest of the workflows.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmWorkflowMgr6 Interface
IEdmWorkflowMgr6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0